unit U_Teste;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  Cript_Sis;

type
  TFrm_Teste = class(TForm)
    Bt_Executar: TButton;
    Memo1: TMemo;
    procedure Bt_ExecutarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frm_Teste: TFrm_Teste;

implementation

{$R *.dfm}

procedure TFrm_Teste.Bt_ExecutarClick(Sender: TObject);
var sEncriptado, sDescriptado : string;
    Cript : TCript_Sis;
begin
  Cript := TCript_Sis.Create();
  sEncriptado := Cript.Encriptar('SEUS DADOS VAI AQUI');
  Memo1.Lines.Add( sEncriptado );
  sDescriptado := Cript.Descriptar( sEncriptado );
  Memo1.Lines.Add( sDescriptado );
  Cript.Free;
  //
end;



end.
